using System;
using System.Windows.Forms;

namespace _8_1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                int n1 = Convert.ToInt32(textBox1.Text);
                int n2 = Convert.ToInt32(textBox2.Text);
                int div = n1 / n2;
                MessageBox.Show(div.ToString());
            }
            catch (OverflowException)
            {
                MessageBox.Show("خطای سرریز");
            }
            catch (DivideByZeroException)
            {
                MessageBox.Show("خطای تقسیم بر صفر");
            }
            catch (FormatException)
            {
                MessageBox.Show("خطای تبدیل نوع");
            }
        }
    }
}